http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deploymentsCreates a Deployment resource, which makes a specified RestApi callable over the internet.
The string identifier of the associated RestApi.
The name of the Stage resource for the Deployment resource to create.
A map that defines the stage variables for the Stage resource that is associated with the new deployment. Variable names can have alphanumeric and underscore characters, and the values must match <code>[A-Za-z0-9-._~:/?#&=,]+</code>.
The description for the Deployment resource to create.
The input configuration for a canary deployment.
Specifies whether active tracing with X-ray is enabled for the Stage.
Returns the size of the CacheCluster.
The description of the Stage resource for the Deployment resource to create.
Enables a cache cluster for the Stage resource specified in the input.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deploymentsCreates a Deployment resource, which makes a specified RestApi callable over the internet.
The string identifier of the associated RestApi.
The name of the Stage resource for the Deployment resource to create.
A map that defines the stage variables for the Stage resource that is associated with the new deployment. Variable names can have alphanumeric and underscore characters, and the values must match <code>[A-Za-z0-9-._~:/?#&=,]+</code>.
The description for the Deployment resource to create.
The input configuration for a canary deployment.
Specifies whether active tracing with X-ray is enabled for the Stage.
Returns the size of the CacheCluster.
The description of the Stage resource for the Deployment resource to create.
Enables a cache cluster for the Stage resource specified in the input.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}